package com.lovecding.day07.oop05;

public class Mthod01 {

    //无返回值无参数
    public void m1(){
        System.out.println("无返回值无参数");
    }

    //无返回值有参数
    public void m2(int i){
        System.out.println("无返回值有参数，参数值是"+i);
    }

    //有返回值无参数
    public int m3(){
        int i = 10;
        System.out.println("有返回值无参数，返回值是"+i);
        return i;
    }

    //有返回值有参数
    public int m4(int i){
        int i1 = 10;
        System.out.println("有返回值有参数，参数是："+i+"返回值是"+i1);
        return i1;
    }


    public static void main(String[] args) {
        Mthod01 mthod01 = new Mthod01();

        mthod01.m1();
        mthod01.m2(101);
        int i = mthod01.m3(); // 有返回值 1 再次赋值  2 条件运算  3 当做参数   接收返回值
        System.out.println(i);
        int i1 = mthod01.m4(102);
        System.out.println(i1);
    }
}